/*
@C:\WEB_503\Sql\End_Conv\Oracle\6500_FISSTPO_ARQUIVO_DIEF_PA.SQL
 raise_application_error(-20501, '' , True);
*/
CREATE OR REPLACE PROCEDURE ARQUIVO_DIEF_PA(
   P_CDIMPOSTO        IN IMPOSTO.CDIMPOSTO%TYPE,
   P_CDEMPRESA        IN EMPRESA.CDEMPRESA%TYPE,
   P_CDINSCESTA       IN EMPRESA.CDINSCESTA%TYPE,
   P_DTINICIAL        IN NOTAFISCAL.DTENTRSAID%TYPE,
   P_DTFINAL          IN NOTAFISCAL.DTENTRSAID%TYPE,
   P_STPERIODO        IN NOTAFISCAL.IDENTRSAIDOP%TYPE,
   P_STDECLARACAO     IN NOTAFISCAL.CDTIPOOPER%TYPE,
   P_STDECLARESMOV    IN NOTAFISCAL.IDENTRSAIDOP%TYPE,
   P_IDTPTRIBUTACAO   IN NOTAFISCAL.IDENTRSAIDOP%TYPE,
   P_IDTPESCRITURACAO IN NOTAFISCAL.IDENTRSAIDOP%TYPE,
   P_IDTPCONTRIB      IN NOTAFISCAL.IDENTRSAIDOP%TYPE,
   P_IDSEMRECEITA     IN NOTAFISCAL.IDENTRSAIDOP%TYPE,
   P_IDSEMSERVICOA    IN NOTAFISCAL.IDENTRSAIDOP%TYPE,
   P_IDTROCMUNICIP    IN NOTAFISCAL.IDENTRSAIDOP%TYPE,
   P_IDSEMOPCARTAO    IN NOTAFISCAL.IDENTRSAIDOP%TYPE,
   P_IDSEMSERVICOM    IN NOTAFISCAL.IDENTRSAIDOP%TYPE,
   P_NRSEQARQMAG      IN ARQMAGNETICO.NRSEQARQMAG%TYPE)
AS
   V_STLINHA      VARCHAR2(1000);
   V_DTPOSINIANT  DATE;
   V_DTPOSFIMANT  DATE;
   V_DTPOSINIATUA DATE;
   V_DTPOSFIMATUA DATE;
   V_SOMAAUX      NUMBER;
   V_VRESTINIANT  NUMBER;
   V_VRESTFIMANT  NUMBER;
   V_VRESTINIATUA NUMBER;
   V_VRESTFIMATUA NUMBER;
   V_CONT         NUMBER;
   V_SALDODEV     NUMBER;

   V_DTINICIAL    DATE;
   V_DTFINAL      DATE;
BEGIN
   V_CONT := 0;

   V_SOMAAUX      := 0;
   V_VRESTINIANT  := 0;
   V_VRESTFIMANT  := 0;
   V_VRESTINIATUA := 0;
   V_VRESTFIMATUA := 0;
   V_SALDODEV := 0;

   V_DTINICIAL := P_DTINICIAL;
   V_DTFINAL := P_DTFINAL;

   IF P_STPERIODO = '2' THEN
      V_DTINICIAL := TO_DATE('01/01'||TO_CHAR(P_DTINICIAL, 'YYYY'));
      V_DTFINAL := TO_DATE('31/12'||TO_CHAR(P_DTINICIAL, 'YYYY'));
   END IF;

   BEGIN
      SELECT ('88' ||
              '10' ||
              P_STPERIODO ||
              DECODE(P_STPERIODO, '2', TO_CHAR(P_DTINICIAL, 'YYYY'), TO_CHAR(P_DTINICIAL, 'MMYYYY')) ||
              P_STDECLARACAO ||
              P_STDECLARESMOV ||
              RPAD(REPLACE(REPLACE(REPLACE(REPLACE(P_CDINSCESTA,'.',''),',',''),'-',''),'/',''),9,' ') || /* 152489568 */
              RPAD(REPLACE(REPLACE(REPLACE(REPLACE(E.NRINSJURIEST,'.',''),',',''),'-',''),'/',''),14,' ') ||
              RPAD(NVL(E.NMRAZSOCEMPR,' '), 130, ' ') ||
              RPAD(NVL(E.NMEMPRESA,' '), 130, ' ') ||
              RPAD('RUA', 5, ' ') || /* Tipo de Logradouro */
              RPAD(NVL(E.DSLOGRADEMPR,' '), 60, ' ') ||
              LPAD(NVL(E.NRLOGRADEMPR,'0'), 8, '0') ||
              RPAD(NVL(E.DSCMPLOGEMPR,' '), 30, ' ') ||
              RPAD(NVL(E.NMBAIRRO,' '), 30, ' ') ||
              RPAD(NVL(E.CDMUNICIPIO,' '), 6, ' ') ||
              RPAD(NVL(E.SGESTADO,' '), 2, ' ') ||
              LPAD(REPLACE(REPLACE(REPLACE(REPLACE(NVL(E.NRCEPEMPR, '0'),'.',''),'(',''),'-',''),')',''),8,'0') ||
              CASE WHEN LENGTH(E.NRTELEIEST) <= 9 THEN '00000' ELSE LPAD(SUBSTR(E.NRTELEIEST,1,2),5,'0') END || /* DDD do Telefone */
              CASE WHEN LENGTH(E.NRTELEIEST) <= 9 THEN LPAD(E.NRTELEIEST,10,'0') ELSE LPAD(SUBSTR(E.NRTELEIEST,3,LENGTH(E.NRTELEIEST)),10,'0') END ||
              RPAD(NVL(E.DSENDEMAILCONT,' '), 60, ' ') || /* E-mail do contribuinte */
              P_IDTPTRIBUTACAO   ||
              P_IDTPESCRITURACAO ||
              P_IDTPCONTRIB      ||
              P_IDSEMRECEITA     ||
              P_IDSEMSERVICOA    ||
              RPAD(NVL(REPLACE(REPLACE(SUBSTR(E.NRCRCCONT2,NVL(INSTR(E.NRCRCCONT2,E.SGESTADOCRC),1)+2,LENGTH(E.NRCRCCONT2)),'-'),'/'),' '), 7, ' ') ||
              RPAD(NVL(E.SGESTADOCRC,' '), 2, ' ') ||
              RPAD(NVL(E.NMCONTADOR,' '), 60, ' ') ||
              CASE WHEN LENGTH(E.NRTELCONT) <= 9 THEN '00000' ELSE LPAD(SUBSTR(E.NRTELCONT,1,2),5,'0') END || /* DDD do Telefone Contador*/
              CASE WHEN LENGTH(E.NRTELCONT) <= 9 THEN LPAD(E.NRTELCONT,10,'0') ELSE LPAD(SUBSTR(E.NRTELCONT,3,LENGTH(E.NRTELCONT)),10,'0') END ||
              RPAD(NVL(E.DSENDEMAILCONT,' '), 60, ' ') ||
              RPAD(REPLACE(REPLACE(REPLACE(REPLACE(E.NRINSJURCONT,'.',''),',',''),'-',''),'/',''),14,' ') ||
              P_IDTROCMUNICIP    ||
              P_IDSEMOPCARTAO    ||
              P_IDSEMSERVICOM) AS ARQUIVO
        INTO V_STLINHA
        FROM (SELECT IE.NRINSJURIEST, EM.NMRAZSOCEMPR, EM.NMEMPRESA,
                     NVL(NVL(IE.DSENDEIESTSEP,IE.DSENDEIEST),EM.DSLOGRADEMPR) AS DSLOGRADEMPR,
                     NVL(IE.NRENDEIESTSEP,EM.NRLOGRADEMPR) AS NRLOGRADEMPR,
                     NVL(IE.DSCOMPENDIES,EM.DSCMPLOGEMPR) AS DSCMPLOGEMPR,
                     NVL(IE.NMBAIRIEST,B.NMBAIRRO) AS NMBAIRRO,
                     NVL(MU.CDMUNIEXPO, MU.CDMUNICIPIO) AS CDMUNICIPIO,
                     C.SGESTADOCRC, NVL(IE.SGESTADO,EM.SGESTADO) AS SGESTADO,
                     NVL(IE.NRCEPIEST,EM.NRCEPEMPR) AS NRCEPEMPR,
                     TRIM(REPLACE(REPLACE(REPLACE(REPLACE(IE.NRTELEIEST,'.'),'-'),'('),')')) AS NRTELEIEST,
                     C.NRCRCCONT2, C.SGESTADO AS SGESTADOCONT, C.NMCONTADOR,
                     TRIM(REPLACE(REPLACE(REPLACE(REPLACE(C.NRTELCONTATO,'.'),'-'),'('),')')) AS NRTELCONT,
                     C.DSENDINTERN AS DSENDEMAILCONT, C.NRINSJURCONT
                FROM EMPRESA EM, BAIRRO B, CONTADOR C, INSCRESTAD IE, MUNICIPIO MU
               WHERE EM.CDEMPRESA   = P_CDEMPRESA
                 AND IE.CDEMPRESA   = P_CDEMPRESA
                 AND IE.CDINSCESTA  = P_CDINSCESTA
                 AND IE.CDCONTADOR2 = C.CDCONTADOR2
                 AND EM.CDPAIS      = B.CDPAIS(+)
                 AND EM.SGESTADO    = B.SGESTADO(+)
                 AND EM.CDMUNICIPIO = B.CDMUNICIPIO(+)
                 AND EM.CDBAIRRO    = B.CDBAIRRO(+)
                 AND IE.CDMUNICIPIO = MU.CDMUNICIPIO(+)
                 AND IE.CDPAIS      = MU.CDPAIS(+)
                 AND IE.SGESTADO    = MU.SGESTADO(+))E;
   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         V_STLINHA := NULL;
   END;

   V_CONT := V_CONT + 1;
   INSERT INTO ARQMAGNETICO
     (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
   VALUES
     (LPAD(TO_CHAR(V_CONT),10,'0'), V_STLINHA, P_NRSEQARQMAG);

   /*RESUMO DE OPERAES DO DIEF - CFOP*/
   FOR C_REGCFOP IN (SELECT SUBSTR(CDFISCOPERNF, 1, 4) AS CDFISCOPERNF, SUM(ROUND(VRCONTABILNF,2)) AS VRCONTABILNF,
                            SUM(DECODE(CDFISCALNF, '1', ROUND(VRBASECALCNF,2), 0)) AS VRBASECALC,
                            SUM(DECODE(CDFISCALNF, '1', ROUND(VRIMPOSTONF,2), 0)) AS VRIMPOSTO,
                            SUM(DECODE(CDFISCALNF, '2', ROUND(VRCONTABILNF,2), 0)) AS VRISENTO,
                            SUM(DECODE(CDFISCALNF, '3', ROUND(VRCONTABILNF,2), 0)) AS VROUTROS
                       FROM MAPAAPURAC M, IMPOSTONF I
                      WHERE M.CDEMPRESA    = P_CDEMPRESA
                        AND M.CDINSCESTA   = P_CDINSCESTA
                        AND M.CDIMPOSTO    = P_CDIMPOSTO
                        AND M.DTINIPERIODO >= P_DTINICIAL
                        AND M.DTFIMPERIODO <= P_DTFINAL
                        AND M.NRSEQUMAPAPU = I.NRSEQUMAPAPU
                        AND I.IDIMPOSTONF  IN ('1', '2')
                      GROUP BY SUBSTR(CDFISCOPERNF, 1, 4)
                      ORDER BY CDFISCOPERNF) LOOP
      V_STLINHA := ('88' ||
                   '11' ||
                   SUBSTR(NVL(C_REGCFOP.CDFISCOPERNF,'0000'),1,4) ||
                   LTRIM(REPLACE(TO_CHAR(ABS(NVL(C_REGCFOP.VRCONTABILNF, 0)),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(ABS(NVL(C_REGCFOP.VRBASECALC, 0)),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(ABS(NVL(C_REGCFOP.VRIMPOSTO, 0)),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(ABS(NVL(C_REGCFOP.VRISENTO, 0)),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(ABS(NVL(C_REGCFOP.VROUTROS, 0)),'000000000000.00'),'.','')));

      V_CONT := V_CONT + 1;
      INSERT INTO ARQMAGNETICO
        (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
        (LPAD(TO_CHAR(V_CONT),10,'0'), V_STLINHA, P_NRSEQARQMAG);
   END LOOP;

   /* Registro 12 - passar zero nos valores*/
   V_STLINHA := '88' ||
                '12' ||
                '00000000000000' ||
                '00000000000000' ||
                '00000000000000';

   V_CONT := V_CONT + 1;
   INSERT INTO ARQMAGNETICO
      (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
   VALUES
      (LPAD(TO_CHAR(V_CONT),10,'0'), V_STLINHA, P_NRSEQARQMAG);


   /* POSIO DE ESTOQUE DO ANO ANTERIOR*/
   V_DTPOSINIANT := TO_DATE('01/01'||TO_CHAR(ADD_MONTHS(P_DTINICIAL, -12), 'YYYY')); /* DATA INICIAL DO ANO ANTERIOR*/
   V_DTPOSFIMANT := TO_DATE('01/01'||TO_CHAR(P_DTINICIAL, 'YYYY'));
   /* POSIO DE ESTOQUE ATUAL*/
   V_DTPOSINIATUA := TO_DATE('01/01'||TO_CHAR(P_DTINICIAL, 'YYYY')); /* DATA INICIAL DO ANO ATUAL*/
   V_DTPOSFIMATUA := TO_DATE('01/01'||TO_CHAR(ADD_MONTHS(P_DTINICIAL, 12), 'YYYY'));

   FOR C_REGEST IN (SELECT F.CDFILIAL
                      FROM FILIAL F
                     WHERE F.CDEMPRESA = P_CDEMPRESA
                       AND F.CDINSCESTA = P_CDINSCESTA
                     ORDER BY CDFILIAL) LOOP

      BEGIN
         SELECT SUM(I.VRTOTINVFISC)
           INTO V_SOMAAUX
           FROM INVENTFISC I, PRODUTO P
         WHERE I.CDEMPRESA    = P_CDEMPRESA
           AND I.CDINSCESTA   = P_CDINSCESTA
           AND I.DTINVEFISCAL <= V_DTPOSINIANT
           AND I.CDPRODUTO    = P.CDPRODUTO
           AND I.QTESTINVFISC <> 0;

      EXCEPTION
         WHEN No_Data_Found THEN
            V_SOMAAUX := NULL;
      END;

      V_VRESTINIANT := V_VRESTINIANT + NVL(V_SOMAAUX, 0);

      BEGIN
         SELECT SUM(I.VRTOTINVFISC)
           INTO V_SOMAAUX
           FROM INVENTFISC I, PRODUTO P
         WHERE I.CDEMPRESA    = P_CDEMPRESA
           AND I.CDINSCESTA   = P_CDINSCESTA
           AND I.DTINVEFISCAL <= V_DTPOSFIMANT
           AND I.CDPRODUTO    = P.CDPRODUTO
           AND I.QTESTINVFISC <> 0;
      EXCEPTION
         WHEN No_Data_Found THEN
            V_SOMAAUX := NULL;
      END;

      V_VRESTFIMANT := V_VRESTFIMANT + NVL(V_SOMAAUX, 0);

      BEGIN
         SELECT SUM(I.VRTOTINVFISC)
           INTO V_SOMAAUX
          FROM INVENTFISC I, PRODUTO P
         WHERE I.CDEMPRESA    = P_CDEMPRESA
           AND I.CDINSCESTA   = P_CDINSCESTA
           AND I.DTINVEFISCAL <= V_DTPOSINIATUA
           AND I.CDPRODUTO    = P.CDPRODUTO
           AND I.QTESTINVFISC <> 0;
      EXCEPTION
         WHEN No_Data_Found THEN
            V_SOMAAUX := NULL;
      END;

      V_VRESTINIATUA := V_VRESTINIATUA + NVL(V_SOMAAUX, 0);

      BEGIN
         SELECT SUM(I.VRTOTINVFISC)
           INTO V_SOMAAUX
           FROM INVENTFISC I, PRODUTO P
         WHERE I.CDEMPRESA    = P_CDEMPRESA
           AND I.CDINSCESTA   = P_CDINSCESTA
           AND I.DTINVEFISCAL <= V_DTPOSFIMATUA
           AND I.CDPRODUTO    = P.CDPRODUTO
           AND I.QTESTINVFISC <> 0;

      EXCEPTION
         WHEN No_Data_Found THEN
            V_SOMAAUX := NULL;
      END;

      V_VRESTFIMATUA := V_VRESTFIMATUA + NVL(V_SOMAAUX, 0);

   END LOOP;

   V_STLINHA := '88' ||
                '14' ||
                LTRIM(REPLACE(TO_CHAR(NVL(V_VRESTINIANT, 0),'000000000000.00'),'.','')) ||
                '00000000000000' ||
                '00000000000000' ||
                LTRIM(REPLACE(TO_CHAR(NVL(V_VRESTINIANT, 0),'000000000000.00'),'.',''));

   V_CONT := V_CONT + 1;
   INSERT INTO ARQMAGNETICO
     (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
   VALUES
     (LPAD(TO_CHAR(V_CONT),10,'0'), V_STLINHA, P_NRSEQARQMAG);

   V_STLINHA := '88' ||
                '15' ||
                LTRIM(REPLACE(TO_CHAR(NVL(V_VRESTFIMANT, 0),'000000000000.00'),'.','')) ||
                '00000000000000' ||
                '00000000000000' ||
                LTRIM(REPLACE(TO_CHAR(NVL(V_VRESTFIMANT, 0),'000000000000.00'),'.',''));

   V_CONT := V_CONT + 1;
   INSERT INTO ARQMAGNETICO
     (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
   VALUES
     (LPAD(TO_CHAR(V_CONT),10,'0'), V_STLINHA, P_NRSEQARQMAG);

   V_STLINHA := '88' ||
                '16' ||
                LTRIM(REPLACE(TO_CHAR(NVL(V_VRESTINIATUA, 0),'000000000000.00'),'.','')) ||
                '00000000000000' ||
                '00000000000000' ||
                LTRIM(REPLACE(TO_CHAR(NVL(V_VRESTINIATUA, 0),'000000000000.00'),'.',''));

   V_CONT := V_CONT + 1;
   INSERT INTO ARQMAGNETICO
     (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
   VALUES
     (LPAD(TO_CHAR(V_CONT),10,'0'), V_STLINHA, P_NRSEQARQMAG);

   V_STLINHA := '88' ||
                '17' ||
                LTRIM(REPLACE(TO_CHAR(NVL(V_VRESTFIMATUA, 0),'000000000000.00'),'.','')) ||
                '00000000000000' ||
                '00000000000000' ||
                LTRIM(REPLACE(TO_CHAR(NVL(V_VRESTFIMATUA, 0),'000000000000.00'),'.',''));

   V_CONT := V_CONT + 1;
   INSERT INTO ARQMAGNETICO
     (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
   VALUES
     (LPAD(TO_CHAR(V_CONT),10,'0'), V_STLINHA, P_NRSEQARQMAG);

   FOR C_REGP IN (SELECT MR.VRNORMDEBI, MR.VROUTRDEBI, MR.VRESTOCRED, (MR.VRTOTADEBI + MR.VRDIFALIQU) AS VRTOTADEBI,
                         MR.VRNORMCRED, MR.VRESTODEBI, MR.VROUTRCRED, MR.VRSLDCRANTE, (MR.VRTOTACRED + MR.VRSLDCRANTE) AS VRTOTACRED,
                         MR.VRSALDODEBI, MR.VRDEDUCAO, M.VRTOTAIMPOS, MR.VRSALDOCRED,
                         M.CDRECEGUIA, MR.VRDIFALIQU, (MR.VROUTRDEBI + MR.VRDIFALIQU) AS VRTOTOUTRDEBI
                    FROM MAPAAPURAC M, MAPARECUP MR
                   WHERE M.CDEMPRESA = P_CDEMPRESA
                     AND M.CDINSCESTA = P_CDINSCESTA
                     AND M.CDIMPOSTO = P_CDIMPOSTO
                     AND M.DTINIPERIODO >= P_DTINICIAL
                     AND M.DTFIMPERIODO <= P_DTFINAL
                     AND M.NRSEQUMAPAPU = MR.NRSEQUMAPAPU) LOOP

      V_STLINHA := '88' ||
                   '18' ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRNORMDEBI,    0),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRTOTOUTRDEBI, 0),'000000000000.00'),'.','')) ||
                   '00000000000000' ||
                   '00000000000000' ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VROUTRDEBI,    0),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRESTOCRED,    0),'000000000000.00'),'.','')) ||
                   '00000000000000' ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRESTOCRED,    0),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRDIFALIQU,    0),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRTOTADEBI,    0),'000000000000.00'),'.',''));

      V_CONT := V_CONT + 1;
      INSERT INTO ARQMAGNETICO
         (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
         (LPAD(TO_CHAR(V_CONT),10,'0'), V_STLINHA, P_NRSEQARQMAG);

      V_STLINHA := '88' ||
                   '19' ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRNORMCRED, 0),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRESTODEBI, 0),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VROUTRCRED, 0),'000000000000.00'),'.','')) ||
                   '00000000000000' ||
                   '00000000000000' ||
                   '00000000000000' ||
                   '00000000000000' ||
                   '00000000000000' ||
                   '00000000000000' ||
                   '00000000000000' ||
                   '00000000000000' ||
                   '00000000000000' ||
                   '00000000000000' ||
                   '00000000000000' ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VROUTRCRED,  0),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRSLDCRANTE, 0),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRTOTACRED,  0),'000000000000.00'),'.',''));

      V_CONT := V_CONT + 1;
      INSERT INTO ARQMAGNETICO
         (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
         (LPAD(TO_CHAR(V_CONT),10,'0'), V_STLINHA, P_NRSEQARQMAG);

      V_SALDODEV := NVL(C_REGP.VRSALDODEBI, 0) + NVL(C_REGP.VRDEDUCAO, 0);
      IF (NVL(C_REGP.VRTOTAIMPOS, 0) = 0) THEN
         V_SALDODEV := NVL(C_REGP.VRSALDODEBI, 0);
      END IF;

      V_STLINHA := '88' ||
                   '20' ||
                   LTRIM(REPLACE(TO_CHAR(NVL(V_SALDODEV,         0),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRDEDUCAO,   0),'000000000000.00'),'.','')) ||
                   '00000000000000' ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRDEDUCAO,   0),'000000000000.00'),'.','')) ||
                   '00000000000000' ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRTOTAIMPOS, 0),'000000000000.00'),'.','')) ||
                   '00000000000000' ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRTOTAIMPOS, 0),'000000000000.00'),'.','')) ||
                   LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRSALDOCRED, 0),'000000000000.00'),'.',''));

      V_CONT := V_CONT + 1;
      INSERT INTO ARQMAGNETICO
         (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
      VALUES
         (LPAD(TO_CHAR(V_CONT),10,'0'), V_STLINHA, P_NRSEQARQMAG);

      /*IF (V_RECEITAS = '2') THEN
         V_STLINHA := '88' ||
                      '21' ||
                      LPAD(NVL(C_REGP.CDRECEGUIA,'0'), 4, '0') ||
                      LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRTOTAIMPOS, 0),'000000000000.00'),'.','')) ||
                      '00000000000000' ||
                      LTRIM(REPLACE(TO_CHAR(NVL(C_REGP.VRTOTAIMPOS, 0),'000000000000.00'),'.',''));

         V_CONT := V_CONT + 1;
         INSERT INTO ARQMAGNETICO
            (NRORDREGARQ, DSREGARQMAG, NRSEQARQMAG)
         VALUES
            (LPAD(TO_CHAR(V_CONT),10,'0'), V_STLINHA, P_NRSEQARQMAG);
      END IF;*/

   END LOOP;

END;
/

-- VERSAO --
BEGIN ATUVEROBJ('ARQUIVO_DIEF_PA','5.05.025'); END;
/

